
using Godot;
using System.Collections.Generic;

namespace Rokojori
{  
  public class RG_BlendMode_Screen:RG_BlendModeBase
  {
    public static readonly string shaderPath = 
      RDGraph.Path( "Nodes/Processors/Blend/BlendMode_Screen/BlendMode_Screen.glsl" );

    public RG_BlendMode_Screen( RDGraph graph ):base( graph, shaderPath )
    {} 

    public override RG_BlendModeType GetBlendModeType()
    { 
      return RG_BlendModeType.Screen;
    }
  }
}